List Monitors
curl --request GET \
--url https://api.spidra.io/api/monitors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spidra.io/api/monitors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spidra.io/api/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spidra.io/api/monitors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.spidra.io/api/monitors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.spidra.io/api/monitors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.spidra.io/api/monitors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"monitors": [
{
"id": "<string>",
"name": "<string>",
"status": "active",
"sources": [
{
"kind": "template",
"id": "<string>",
"label": "<string>",
"template": "<string>",
"inputs": {},
"presetId": "<string>",
"urls": [
"<string>"
]
}
],
"schedule": {
"every": "5m",
"at": "<string>",
"day": 3,
"cron": "<string>",
"timezone": "<string>"
},
"cron": "<string>",
"alertOn": "<string>",
"watchFields": [
"<string>"
],
"rule": {
"field": "<string>",
"op": "lt",
"value": 123
},
"goal": "<string>",
"notify": {
"email": {
"enabled": true,
"recipients": [
"<string>"
]
},
"webhook": {
"url": "<string>",
"secret": "<string>"
},
"slack": {
"webhookUrl": "<string>"
},
"discord": {
"webhookUrl": "<string>"
}
},
"nextRunAt": "2023-11-07T05:31:56Z",
"lastCheckAt": "2023-11-07T05:31:56Z",
"lastChangeAt": "2023-11-07T05:31:56Z",
"lastStatus": "<string>",
"lastSummary": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"status": "error",
"message": "<string>"
}Monitors
List Monitors
Your monitors with their schedule, last check and next check.
GET
/
monitors
List Monitors
curl --request GET \
--url https://api.spidra.io/api/monitors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spidra.io/api/monitors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spidra.io/api/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spidra.io/api/monitors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.spidra.io/api/monitors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.spidra.io/api/monitors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.spidra.io/api/monitors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"monitors": [
{
"id": "<string>",
"name": "<string>",
"status": "active",
"sources": [
{
"kind": "template",
"id": "<string>",
"label": "<string>",
"template": "<string>",
"inputs": {},
"presetId": "<string>",
"urls": [
"<string>"
]
}
],
"schedule": {
"every": "5m",
"at": "<string>",
"day": 3,
"cron": "<string>",
"timezone": "<string>"
},
"cron": "<string>",
"alertOn": "<string>",
"watchFields": [
"<string>"
],
"rule": {
"field": "<string>",
"op": "lt",
"value": 123
},
"goal": "<string>",
"notify": {
"email": {
"enabled": true,
"recipients": [
"<string>"
]
},
"webhook": {
"url": "<string>",
"secret": "<string>"
},
"slack": {
"webhookUrl": "<string>"
},
"discord": {
"webhookUrl": "<string>"
}
},
"nextRunAt": "2023-11-07T05:31:56Z",
"lastCheckAt": "2023-11-07T05:31:56Z",
"lastChangeAt": "2023-11-07T05:31:56Z",
"lastStatus": "<string>",
"lastSummary": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"status": "error",
"message": "<string>"
}curl "https://api.spidra.io/api/monitors" \
-H "Authorization: Bearer $SPIDRA_API_KEY"
{
"status": "success",
"monitors": [
{
"id": "d6761e12-b011-4633-a593-fa6be2ef466c",
"name": "Docs test page",
"status": "active",
"schedule": { "every": "1w", "day": 1, "at": "08:00", "timezone": "Africa/Lagos" },
"cron": "0 8 * * 1",
"alertOn": "page",
"lastCheckAt": "2026-10-24T18:51:34.000Z",
"lastChangeAt": "2026-10-24T18:51:34.000Z",
"lastStatus": "completed",
"lastSummary": "1 page changed"
}
]
}
Was this page helpful?

